package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainMonitorPointOperationLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @className: BMainMonitorPointOperationLogMapper
 * @description: TODO 类描述
 * @author: Mr.Yanghongtao
 * @date: 2023/04/28 17:22
 * @Company: Copyright© [2023/04/28 17:22] by [Mr.Yanghongtao]
 **/
public interface BMainMonitorPointOperationLogMapper extends BaseMapper<BMainMonitorPointOperationLog> {
    int deleteByPrimaryKey(String logId);

    int insert(BMainMonitorPointOperationLog record);

    int insertOrUpdate(BMainMonitorPointOperationLog record);

    int insertOrUpdateSelective(BMainMonitorPointOperationLog record);

    int insertSelective(BMainMonitorPointOperationLog record);

    BMainMonitorPointOperationLog selectByPrimaryKey(String logId);

    int updateByPrimaryKeySelective(BMainMonitorPointOperationLog record);

    int updateByPrimaryKey(BMainMonitorPointOperationLog record);

    int updateBatch(List<BMainMonitorPointOperationLog> list);

    int updateBatchSelective(List<BMainMonitorPointOperationLog> list);

    int batchInsert(@Param("list") List<BMainMonitorPointOperationLog> list);
}